/*
 * SPDX-FileCopyrightText: 2024-2025 Bruno Anselme <be.root@gfree.fr>
 *
 * Authors:
 *   Bruno Anselme <be.root@gfree.fr>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 *
 * This file is part of the NoComprendo software.
*/

#include "app_version.h"
#include "config.h"

Config::Config() {
}

void Config::trace() {
    qWarning() << "lang" << instance().lang;
    qWarning() << "appPath" << instance().appPath;
    qWarning() << "voskSystemPath" << instance().voskSystemPath;
    qWarning() << "userSetsPath" << instance().userSetsPath;
    qWarning() << "setsDirName" << instance().setsDirName;
    qWarning() << "voskUrl" << instance().voskUrl;
    qWarning() << "voskJson" << instance().voskJson;
    qWarning() << "rFontSize" << instance().rFontSize;
    qWarning() << "mouseFile" << instance().mouseFile;
    qWarning() << "repeaterFile" << instance().repeaterFile;
    qWarning() << "autoStart" << instance().autoStart;
    qWarning() << "removeBadUtterance" << instance().removeBadUtterance;
    qWarning() << "useSysTray" << instance().useSysTray;
    qWarning() << "rFontSize" << instance().rFontSize;
    qWarning() << "rInvertColor" << instance().rInvertColor;
    qWarning() << "ask2Quit" << instance().ask2Quit;
    qWarning() << "maxlines" << instance().maxlines;
    qWarning() << "startReduced" << instance().startReduced;
    qWarning() << "osdOn" << instance().osdOn;
    qWarning() << "osdAll" << instance().osdAll;
    qWarning() << "osdDuration" << instance().osdDuration;
    qWarning() << "osdPosition" << instance().osdPosition;
    qWarning() << "osdSize" << instance().osdSize;
    qWarning() << "keyboardVariant" << instance().keyboardVariant;
    qWarning() << "keyDelay" << instance().keyDelay;
    qWarning() << "keyHold" << instance().keyHold;
    qWarning() << "typeDelay" << instance().typeDelay;
    qWarning() << "typeHold" << instance().typeHold;
    qWarning() << "mouseStep" << instance().mouseStep;
    qWarning() << "glideStep" << instance().glideStep;
    qWarning() << "wheelStep" << instance().wheelStep;
    qWarning() << "glideRate" << instance().glideRate;
    qWarning() << "numPadGrid" << instance().numPadGrid;
    qWarning() << "audioId" << instance().audioId;
    qWarning() << "transparentMode" << instance().transparentMode;
    qWarning() << "osdNoDictation" << instance().osdNoDictation;
    qWarning() << "capitalizeFirst" << instance().capitalizeFirst;
    qWarning() << "dictationSuffix" << instance().dictationSuffix;
    qWarning() << "speechDir" << instance().speechDir.path();
    qWarning() << "speechLang" << instance().speechLang;
    qWarning() << "speechLang" << instance().speechesList;
    qWarning() << "commandTrace" << instance().commandTrace;
    qWarning() << "themeIndex" << instance().themeIndex;
}
