/*
 * SPDX-FileCopyrightText: 2024-2025 Bruno Anselme <be.root@gfree.fr>
 *
 * Authors:
 *   Bruno Anselme <be.root@gfree.fr>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 *
 * This file is part of the NoComprendo software.
*/

#ifndef MISCELLANEOUS_H
#define MISCELLANEOUS_H

#include <QString>
#include <QRect>

QString     readFile(QString fname);                        //!< Read string from file name.
void        writeFile(QString fname, QString &txt);         //!< Write string to file name
void        writeFile(QString fname, QByteArray &bytes);    //!< Write QByteArray to file name
QRect       getDesktopRect();                               //!< Return dekstop limits
QStringList parseCombinedArgString(const QString &);        //!< Parse command arguments for QProcess::startDetached
QString     findProgram(QString name);

#endif // MISCELLANEAOUS_H
