/*
 * SPDX-FileCopyrightText: 2024-2025 Bruno Anselme <be.root@gfree.fr>
 *
 * Authors:
 *   Bruno Anselme <be.root@gfree.fr>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 *
 * This file is part of the NoComprendo software.
*/

#ifndef OSDEDITOR_H
#define OSDEDITOR_H

#include <QDialog>
#include "osd.h"

class OSDEditor : public QDialog
{
    Q_OBJECT
public:
    OSDEditor();                                                    //!< Constructor
    QPoint      getPosition()       { return osd.getPosition();   } //!< Get OSD window position
    QSize       getSize()           { return osd.getSize();       } //!< Get OSD window size
protected Q_SLOTS:
    void        mouseDoubleClickEvent(QMouseEvent *event);          //!< Close OSD editor
private:
    OSDWindow  osd;
};

#endif // OSDEDITOR_H
