/*
 * SPDX-FileCopyrightText: 2024-2025 Bruno Anselme <be.root@gfree.fr>
 *
 * Authors:
 *   Bruno Anselme <be.root@gfree.fr>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 *
 * This file is part of the NoComprendo software.
*/

#ifndef SPEECH_H
#define SPEECH_H

#include <QThread>
#include <QObject>
#include <QProcess>

class Speech : public QThread
{
    Q_OBJECT
public:
    explicit Speech(QObject *parent = nullptr);
    ~Speech();
    void    setSpeech(QString);
    void    run()               override;
    void    stopSpeech();

    static void getSpeechesList();

signals:
    void    speechFinished();
    void    abortSpeech();

private:
    QString     pipeFile;
    QString     aSpeech;
};

#endif // SPEECH_H
